flow123d_version: 2.0.0
problem: !Coupling_Sequential
  description: Interpolated boundary condition - small cube
  mesh:
    mesh_file: ../00_mesh/cube_1x1x1_frac21_shift.msh
  flow_equation: !Flow_Darcy_MH
    output_specific:
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-07
    input_fields:
      - region: .IMPLICIT_BOUNDARY
        bc_type: dirichlet
        bc_piezo_head: !FieldInterpolatedP0
          gmsh_file: ../00_mesh/large_cube_solution.msh
          field_name: piezo_head_elements_[L]
      - region: BULK
        anisotropy: 1
        sigma: 0.5
    n_schurs: 2
    output:
      fields:
        - piezo_head_p0
        - pressure_p0
        - pressure_p1
        - velocity_p0
    balance: {}
    output_stream: 
      file: ./small_cube.pvd
      format: !vtk
        variant: ascii
      name: flow_output_stream